Name: ca_egee-ne-benelux-tutorial
Version: 1.42
Release: 1
Source: ca_egee-ne-benelux-tutorial-1.42.tar.gz
License: IGTF Federation
Prefix: /etc/grid-security/certificates
Group: Security/Certificates
#BuildRequires: openssl
AutoReqProv: no
BuildRoot: %{_tmppath}/%{name}-root
BuildArch: noarch

%define GSI_CA_NAME  %(tar xOfz %{SOURCE0} ca_egee-ne-benelux-tutorial-1.42/8c13c962.0 | openssl x509 -noout -subject |sed 's#^.*/CN=##')

Summary: Trust anchors for  unaccredited authority egee-ne-benelux-tutorial

%if %([ -n "http://ca.dutchgrid.nl/egee-ne/" ] && echo 1 || echo 0)
URL: http://ca.dutchgrid.nl/egee-ne/
%endif

%if %([ -n "" ] && echo 1 || echo 0)
Requires: 
%endif

%prep
%setup -n ca_egee-ne-benelux-tutorial-1.42

%description
This is the trust anchor for the  unaccredited authority egee-ne-benelux-tutorial.
You should install this package if you want to trust the identity 
assertions issued by the %{GSI_CA_NAME}.
Several instances of this package, corresponding to different CA's, can 
be installed simultaneously on the same system. 

%build


%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT/etc/grid-security/certificates

cp -pr * $RPM_BUILD_ROOT/etc/grid-security/certificates/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/etc/grid-security/certificates/

